Bug 658477 - Updating python built in brew
Summary: Updating python built in brew
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum   
(Show other bugs)
Version: 5.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 13:55 UTC by Izidor Matušov
Modified: 2014-01-21 06:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 13:34:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Izidor Matušov 2010-11-30 13:55:33 UTC
Description of problem:
I have problem with updating python package built in brew.

How reproducible:
100 %

Steps to Reproduce:
1. Have RHEL5.6-Server-20101029.0 installed
2. Run these commands:
<code>
rm -f *.rpm

wget http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/python-2.4.3-40.el5.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/python-devel-2.4.3-40.el5.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/python-libs-2.4.3-40.el5.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/python-tools-2.4.3-40.el5.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/python-debuginfo-2.4.3-40.el5.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python/2.4.3/40.el5/x86_64/tkinter-2.4.3-40.el5.x86_64.rpm

yum install *.rpm -y
</code>
  
Actual results:
[root@nec-em16 ~]# yum install *.rpm -y --nogpgcheck
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Examining python-2.4.3-40.el5.x86_64.rpm: python-2.4.3-40.el5.x86_64
Marking python-2.4.3-40.el5.x86_64.rpm as an update to python-2.4.3-39.el5.x86_64
Examining python-debuginfo-2.4.3-40.el5.x86_64.rpm: python-debuginfo-2.4.3-40.el5.x86_64
Marking python-debuginfo-2.4.3-40.el5.x86_64.rpm to be installed
Examining python-devel-2.4.3-40.el5.x86_64.rpm: python-devel-2.4.3-40.el5.x86_64
Marking python-devel-2.4.3-40.el5.x86_64.rpm as an update to python-devel-2.4.3-39.el5.x86_64
Marking python-devel-2.4.3-40.el5.x86_64.rpm as an update to python-devel-2.4.3-39.el5.i386
Examining python-libs-2.4.3-40.el5.x86_64.rpm: python-libs-2.4.3-40.el5.x86_64
Marking python-libs-2.4.3-40.el5.x86_64.rpm as an update to python-libs-2.4.3-39.el5.x86_64
Examining python-tools-2.4.3-40.el5.x86_64.rpm: python-tools-2.4.3-40.el5.x86_64
Marking python-tools-2.4.3-40.el5.x86_64.rpm to be installed
Examining tkinter-2.4.3-40.el5.x86_64.rpm: tkinter-2.4.3-40.el5.x86_64
Marking tkinter-2.4.3-40.el5.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package python.x86_64 0:2.4.3-40.el5 set to be updated
---> Package python-debuginfo.x86_64 0:2.4.3-40.el5 set to be updated
---> Package python-devel.x86_64 0:2.4.3-40.el5 set to be updated
---> Package python-libs.x86_64 0:2.4.3-40.el5 set to be updated
---> Package python-tools.x86_64 0:2.4.3-40.el5 set to be updated
---> Package tkinter.x86_64 0:2.4.3-40.el5 set to be updated
--> Processing Dependency: libTix8.4.so()(64bit) for package: tkinter
--> Running transaction check
---> Package tix.x86_64 1:8.4.0-11.fc6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================
 Package                              Arch                       Version                             Repository                                                 Size
=====================================================================================================================================================================
Installing:
 python-debuginfo                     x86_64                     2.4.3-40.el5                        /python-debuginfo-2.4.3-40.el5.x86_64                      14 M
 python-tools                         x86_64                     2.4.3-40.el5                        /python-tools-2.4.3-40.el5.x86_64                         3.6 M
 tkinter                              x86_64                     2.4.3-40.el5                        /tkinter-2.4.3-40.el5.x86_64                              1.0 M
Updating:
 python                               x86_64                     2.4.3-40.el5                        /python-2.4.3-40.el5.x86_64                                72 k
 python-devel                         x86_64                     2.4.3-40.el5                        /python-devel-2.4.3-40.el5.x86_64                          13 M
 python-libs                          x86_64                     2.4.3-40.el5                        /python-libs-2.4.3-40.el5.x86_64                           21 M
Installing for dependencies:
 tix                                  x86_64                     1:8.4.0-11.fc6                      beaker-Server                                             333 k

Transaction Summary
=====================================================================================================================================================================
Install       4 Package(s)
Upgrade       3 Package(s)

Total size: 52 M
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python is needed by python-devel-2.4.3-39.el5.i386
python is needed by (installed) python-devel-2.4.3-39.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results:
Update python package.

Comment 1 Izidor Matušov 2010-11-30 14:02:34 UTC
Manual removing of python-devel has helped.. I think yum could manage to resolve this kind of dependencies.

Comment 2 James Antill 2010-11-30 14:17:59 UTC
python-devel.i386 was the only .i386 package you had?

What does the following say:

rpm -Va --nofiles --nodigest

Comment 3 Zdeněk Pavlas 2013-03-11 13:34:34 UTC
No response from reporter for over 2 years.


Note You need to log in before you can comment on or make changes to this bug.